MotifData

data

## Class MotifData

- java.lang.Object
- - data.MotifData

-     public class MotifData
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `denominator`
    `private java.lang.String` | `key`
    `private java.util.ArrayList<Beat>` | `motif`
    `private int` | `numerator`
    `private java.lang.String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MotifData()`
    `MotifData(java.util.ArrayList<Beat> motif, java.lang.String type)`
    `MotifData(java.util.ArrayList<Beat> motif, java.lang.String type, int numerator, int denominator, java.lang.String key)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMotif(Beat motif)`
    `int` | `getCount()` liefert die Anzahl der gefundenen Motive
    `int` | `getDenominator()`
    `java.lang.String` | `getKey()`
    `java.util.ArrayList<Beat>` | `getMotif()`
    `int` | `getNumerator()`
    `java.lang.String` | `getType()`
    `void` | `setDenominator(int denominator)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setNumerator(int numerator)`
    `void` | `setType(java.lang.String type)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### motif

          private java.util.ArrayList<Beat> motif

    - #### type

          private java.lang.String type

    - #### numerator

          private int numerator

    - #### denominator

          private int denominator

    - #### key

          private java.lang.String key

  - ### Constructor Detail

    - #### MotifData

          public MotifData()

    - #### MotifData

          public MotifData(java.util.ArrayList<Beat> motif,
                   java.lang.String type)

    - #### MotifData

          public MotifData(java.util.ArrayList<Beat> motif,
                   java.lang.String type,
                   int numerator,
                   int denominator,
                   java.lang.String key)

  - ### Method Detail

    - #### getMotif

          public java.util.ArrayList<Beat> getMotif()

    - #### addMotif

          public void addMotif(Beat motif)

    - #### getCount

          public int getCount()

      liefert die Anzahl der gefundenen Motive
      Returns:
        Anzahl der Motive

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType(java.lang.String type)

    - #### getNumerator

          public int getNumerator()

    - #### setNumerator

          public void setNumerator(int numerator)

    - #### getDenominator

          public int getDenominator()

    - #### setDenominator

          public void setDenominator(int denominator)

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey(java.lang.String key)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`